﻿namespace Sharing.Share.Dtos.DataSharing.Extend
{
    /// <summary>
    /// 医疗工单
    /// </summary>
    public class FormMedicalInfoDto
    {
        /// <summary>
        /// 医院名称
        /// </summary>
        public string MedicalName { get; set; }

        /// <summary>
        /// 医院地址
        /// </summary>
        public string MedicalAddr { get; set; }

        /// <summary>
        /// 科室
        /// </summary>
        public string DepartMent { get; set; }

        /// <summary>
        /// 医生
        /// </summary>
        public string Doctor { get; set; }

        /// <summary>
        /// 患者姓名
        /// </summary>
        public string PatientName { get; set; }

        /// <summary>
        /// 就诊卡号
        /// </summary>
        public string ClinicCardNum { get; set; }

        /// <summary>
        /// 患者身份证号
        /// </summary>
        public string CardNum { get; set; }
    }
}
