﻿using Hotline.Share.Dtos.DataSharing.Province;
using IdentityModel.Client;

namespace Hotline.DataSharing
{
    public partial interface IHttpInvoker
    {
        Task<TokenResponse> GetTokenAsync(ClientCredentialsTokenRequest request, CancellationToken cancellationToken);
     
        Task<TResponse?> RequestAsync<TRequest, TResponse>(TRequest request, Action<HttpClient>? setHttpClient = null, CancellationToken cancellationToken = default)
            where TRequest : ISharingRequest, new();

    }
}
